Bug 587028 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox wa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:7e17a4e2c3917b348b814c723d5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 13:51 EDT by Mads Kiilerich
Modified: 2010-05-27 10:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-27 10:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (75.97 KB, text/plain)
2010-04-28 13:51 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2010-04-28 13:51:05 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox
component: firefox
executable: /usr/lib/firefox-3.6/firefox
global_uuid: 7e17a4e2c3917b348b814c723d57a2a7f6429181
kernel: 2.6.33.2-41.fc13.i686.PAE
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
How to reproduce: I started FF, and while other tabs were loading I unblocked flash on a youtube page to start watching.
Comment 1 Mads Kiilerich 2010-04-28 13:51:08 EDT
Created attachment 409921 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-08 11:07:27 EDT
#3  <signal handler called>
No symbol table info available.
#4  0x02cf998a in IA__gtk_widget_get_toplevel (widget=0xc3)
    at gtkwidget.c:8149
        __PRETTY_FUNCTION__ = "IA__gtk_widget_get_toplevel"
#5  0x02cfb775 in gtk_widget_get_screen_unchecked (widget=
    0xae665780 [GtkPlug]) at gtkwidget.c:7500
        toplevel = <value optimized out>
#6  0x02cfbc6f in IA__gtk_widget_get_screen (widget=0xae665780 [GtkPlug])
    at gtkwidget.c:7537
        screen = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_widget_get_screen"
#7  0x02cfc120 in IA__gtk_widget_get_display (widget=0xae665780 [GtkPlug])
    at gtkwidget.c:7597
        __PRETTY_FUNCTION__ = "IA__gtk_widget_get_display"
#8  0x009db5c0 in dispatch_sound_event () at canberra-gtk-module.c:456
        played_sound = 0
        is_xembed = <value optimized out>
        hint = <value optimized out>
        ret = 0
        menu_is_popped_up = 0
#9  dispatch_queue () at canberra-gtk-module.c:815
        d = 0xae51ed90
#10 0x009db722 in idle_cb (userdata=0x0) at canberra-gtk-module.c:823
No locals.
#11 0x007a18f8 in gdk_threads_dispatch (data=0xae65ec70) at gdk.c:512
        dispatch = 0xae65ec70
        ret = 0
#12 0x001584b2 in g_idle_dispatch (source=0xae67c5c0, callback=
    0x7a1890 <gdk_threads_dispatch>, user_data=0xae65ec70) at gmain.c:4065
No locals.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Mads Kiilerich 2010-05-19 19:25:58 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I started firefox after a reboot and it crashed. Next time I started it it worked.
Comment 4 Mads Kiilerich 2010-05-19 19:34:26 EDT
I guss the crash is caused by 
g_return_val_if_fail (GTK_IS_WIDGET (widget), NULL);

My Firefox starts with a lot of tabs. It might be a race condition trigged because too much happens before firefox really is ready?
Comment 5 Chris Campbell 2010-05-20 09:50:35 EDT
Does this crash happen every time? or was it a one time event? (has it been reproducible?)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Mads Kiilerich 2010-05-20 10:04:03 EDT
No, I don't think I have seen it more than this couple of times, and every time it works next time.

I don't restart the browser very often but will try to notice how often it _don't_ crash ;-)
Comment 7 Chris Campbell 2010-05-27 10:20:39 EDT
Back-trace is pretty generic, without steps to reliably reproduce this crash, it will not be possible to trouble-shoot. Please reopen if you can reproduce this crash.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.